Subject: Re: bug#16374: password not hidden in shell when mounting cifs partition
From: Stefan Kangas <[email-masked]>
To: Tyler Smith <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Nov 2019 01:39:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Tyler Smith <[email-masked]> writes:
>
>> I'm not sure if this is really an Emacs bug, or just a limitation of *shell*
>>
>> Starting from emacs -Q:
>> M-x shell
>> mount ./network-drive
>> ;; (fstab for this drive is:
>> //<network.location>/<folder>$/     /home/user/network-drive      cifs
>> noauto,users,user=<my username on the network>,uid=<my local
>> username>,rw     0       0
>> ;; )
>>
>> ;; I am now prompted for my network password. When I enter it and press
>> ;; return I see this:
>> Password for <user>@//<network.location>/<folder>$/:  <my password in
>> plain text>
>> ********
>>
>> The point is, the asterisks should be appearing in place of my actual
>> password. Instead, they appear in addition to my password.
>>
>> Thanks for your time,
>>
>> Tyler
>>
>> In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 3.8.6)
>>  of 2013-12-31 on ONOTTAR654746
>
> Hi Tyler,
>
> Thanks for the bug report.  Sorry that it went unanswered for so long.
>
> When I try the following on Emacs 26.1, I get no error:
>
> (progn
>   (require 'comint)
>   (string-match comint-password-prompt-regexp
>         "Password for foo@//example.org/foo/bar$/: "))
>
> This suggests to me that a prompt such as the above should work under
> M-x shell, since that is built on top of comint.
>
> Could you verify that this works for you on Emacs 26.1?
>
> Could you also please tell me if:
>
> "Password for foo@//example.org/foo/bar$/: "
>
> is a good example of the kind of prompt you get when mounting a cifs
> partition?  (I'm trying to find a good example to add to the test
> suite for comint-password-prompt-regexp.)

The original issue seems to be solved here.  More information was
requested on how to write a test case for this, but none was given
within 4 weeks.  I'm therefore closing this bug.

If someone could provide an example of what a CIFS prompt
realistically looks like, please report back so we can add it to the
test suite.  Finally, if anyone is still seeing this on Emacs 27
despite the above, please reopen the bug report.

Best regards,
Stefan Kangas